Page MenuHomePhabricator

TimezoneSelector isLoggedIn() on null ($wgUser)
Closed, DuplicatePublic

Description

I have enabled the TimezoneSelector locally while logged in and it fails:

[17303e3254ba1984370aa708] / Error from line 66 of extensions/TimezoneSelector/TimezoneSelector.class.php: Call to a member function isLoggedIn() on null

Backtrace:

#0 includes/Hooks.php(177): TimezoneSelector::onUserGetDefaultOptions(array)
#1 includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#2 includes/user/User.php(1745): Hooks::run(string, array)
#3 includes/user/User.php(5405): User::getDefaultOptions()
#4 includes/user/User.php(533): User->loadOptions()
#5 includes/libs/objectcache/WANObjectCache.php(1092): User->{closure}(boolean, integer, array, NULL)
#6 includes/libs/objectcache/WANObjectCache.php(1240): WANObjectCache->{closure}(boolean, integer, array, NULL)
#7 includes/libs/objectcache/WANObjectCache.php(1097): WANObjectCache->doGetWithSetCallback(string, integer, Closure, array, NULL)
#8 includes/user/User.php(555): WANObjectCache->getWithSetCallback(string, integer, Closure, array)
#9 includes/user/User.php(476): User->loadFromCache()
#10 includes/user/User.php(413): User->loadFromId(integer)
#11 includes/session/UserInfo.php(88): User->load()
#12 includes/session/CookieSessionProvider.php(119): MediaWiki\Session\UserInfo::newFromId(string)
#13 includes/session/SessionManager.php(488): MediaWiki\Session\CookieSessionProvider->provideSessionInfo(WebRequest)
#14 includes/session/SessionManager.php(191): MediaWiki\Session\SessionManager->getSessionInfoForRequest(WebRequest)
#15 includes/WebRequest.php(751): MediaWiki\Session\SessionManager->getSessionForRequest(WebRequest)
#16 includes/session/SessionManager.php(130): WebRequest->getSession()
#17 includes/Setup.php(844): MediaWiki\Session\SessionManager::getGlobalSession()
#18 includes/WebStart.php(77): require_once(string)
#19 index.php(39): require(string)
#20 {main}

Event Timeline

hashar triaged this task as Medium priority.May 25 2018, 1:55 PM
hashar created this task.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
hashar removed hashar as the assignee of this task.May 25 2018, 1:55 PM
hashar updated the task description. (Show Details)
Vvjjkkii renamed this task from TimezoneSelector isLoggedIn() on null ($wgUser) to eacaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from eacaaaaaaa to TimezoneSelector isLoggedIn() on null ($wgUser).Jul 2 2018, 4:24 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.